/*
This program is confidential and proprietary to MRJ Technology Solutions
and may not be reproduced, published or disclosed to others without
written authorization from MRJ.

Copyright (c) 1998 MRJ Technology Solutions, Inc. All Rights Reserved.

This program is derived from prior work some of which was originally
written as a joint project between the Numerical Aerospace Simulation
(NAS) Systems Division of NASA Ames Research Center and the National
Energy Research Supercomputer Center (NERSC) of Lawrence Livermore
National Laboratory.
*/
/*
 * cnt2server
 *
 *	Connect to the server, and if there is an error, print a more
 * descriptive message.
 *
 * Synopsis:
 *
 *	int cnt2server( char *server )
 *
 *	server	The name of the server to connect to. A NULL or null string
 *		for the default server.
 *
 * Returns:
 *
 *	The connection returned by pbs_connect().
 */

#include <pbs_config.h>   /* the master config generated by configure */

#include <errno.h>
#include <stdio.h>
#include "pbs_ifl.h"
#include "pbs_error.h"

static char ident[] = "@(#) $RCSfile: cnt2server.c,v $ $Revision: 2.0 $";

int
cnt2server( server )
char *server;
{
	int connect;

        connect = pbs_connect(server);
        if ( connect <= 0 ) {
	    if (pbs_errno > PBSE_) {
		switch (pbs_errno) {

		case PBSE_BADHOST:
			fprintf(stderr, "Unknown Host.\n");
			break;

		case PBSE_NOCONNECTS:
			fprintf(stderr, "Too many open connections.\n");
			break;
		
		case PBSE_NOSERVER:
			fprintf(stderr, "No default server name.\n");
			break;
		
		case PBSE_SYSTEM:
			fprintf(stderr, "System call failure.\n");
			break;
		
		case PBSE_PERM:
			fprintf(stderr, "No Permission.\n");
			break;
		
		case PBSE_PROTOCOL:
			fprintf(stderr, "Communication failure.\n");
			break;
		
		}
	    } else {
		perror(NULL);
	    }
        }
	return (connect);
}
